﻿using UnityEngine.InputSystem;

namespace PureWeb
{
    /// <summary>
    /// Remote interfaces supported by PureWeb
    /// </summary>
    public interface IRemoteInput
    {
        Mouse RemoteMouse { get; }
        Keyboard RemoteKeyboard { get; }
        Touchscreen RemoteTouchscreen { get; }
        Gamepad RemoteGamepad { get; }
    }
}
