﻿namespace PureWeb
{
    public static class PureWebTags
    {
        /// <summary>
        /// The camera used for streaming must be tagged
        /// </summary>
        public const string PureWebInputHandler = "PureWebInputHandler";
    }

    /// <summary>
    /// Minimal interface to direct remote input events
    /// </summary>
    public interface IPureWebInputHandler
    {
        void SetInput(IRemoteInput input);
    }
}
